For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Log inBook a demo
GuidesAPI Reference
GuidesAPI Reference
  • API Reference
      • GETGet Sync Source
      • GETModel Sync Field Query
      • GETList Syncs
      • POSTCreate Sync
      • GETGet Sync Schedule Options
      • GETGet Sync
      • PUTUpdate Sync
      • DELDelete Model Sync
      • POSTActivate Sync
      • POSTCancel Sync
      • POSTStart Sync
      • GETGet Sync Status
Logo
Log inBook a demo
API ReferenceModel Sync

Get Sync Source

GET
https://app.polytomic.com/api/connections/:id/modelsync/source
GET
/api/connections/:id/modelsync/source
$curl https://app.polytomic.com/api/connections/248df4b7-aa70-47b8-a036-33ac447e668d/modelsync/source \
> -H "X-Polytomic-Version: X-Polytomic-Version" \
> -H "Content-Type: application/json" \
> -u "<username>:<password>"
1{
2 "data": {
3 "configuration": {},
4 "items": {},
5 "requires_one_of": [
6 "database"
7 ]
8 }
9}
Describes the source configuration available on a connection for use as a model sync source. Use this endpoint before creating a model to understand what configuration is available. Once you have a configuration, resolve the fields available for sync mapping with [`GET /api/connections/{id}/modelsync/source/fields`](../../../../../api-reference/model-sync/get-source-fields).
Was this page helpful?
Previous

Model Sync Field Query

Next

Describes the source configuration available on a connection for use as a model sync source.

Use this endpoint before creating a model to understand what configuration is available. Once you have a configuration, resolve the fields available for sync mapping with GET /api/connections/{id}/modelsync/source/fields.

Authentication

AuthorizationBasic

This is the Polytomic deployment key (on-premises only)

OR
AuthorizationBearer
This is the Polytomic API key

Path parameters

idstringRequiredformat: "uuid"
Unique identifier of the connection.

Headers

X-Polytomic-VersionstringRequired

Query parameters

paramsmap from strings to lists of stringsOptional
Query parameters used to incrementally refine a dependent source configuration. Keys correspond to configuration fields returned by previous calls to this endpoint.

Response

OK
dataobject

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error